/*
 *			i s u p p e . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	isupper	Test for Upper-case Alphabetic
index		Test for upper-case alphabetic

synopsis
	.s.nf
	int
	isupper(c)
	int		c;
	.s.f
Description

	Return non-zero if c is an upper-case alphabetic character.

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	isupper
#undef	isupper
#endif

int
isupper(c)
int		c;
{
	return (_ctype_[c & 0177] & _U);
}
